#ifndef FLYGETEXEC_H
#define FLYGETEXEC_H 1

#ifdef FLY_GET_EXE_INET_SOCK
#define FLY_GET_EXE_PORT 12345
#else
#define FLY_GET_EXE_SOCK_PATH "/tmp/flygetexe"
#endif

#define FLY_GET_EXE_ERROR "error="

/* This is for C++ and does no harm in C */
#ifdef __cplusplus
extern "C" {
#endif

/* 0 if success, 1 - can't open client map, 5 - /proc/pid/status/TracePid is not zero*/
int fly_check_client_tracerpid(pid_t pid);

/* 0 if success, 1 - can't open client map, 2 - unexpected item in client map */
int fly_check_client_maps(pid_t pid, const char *exe);

/* 0 if success, 1 - can't open client map, 2 - wrong client map */
int fly_get_client_exe(pid_t pid, char *exe, int len, short checkMap);

int fly_get_client_exe_by_helper(pid_t pid, char *exe, int len, short checkMap);

#ifdef __cplusplus
}
#endif

#endif